xserver a gdm v Debiane po upgrade distribúcie nefunguje

Sekcia: Komunita 27.11.2010 | 17:04
Avatar Andrej Pavelka Ubuntu 10.04  Používateľ
Ahojte, zdravím :-)
Včera poobede som podľa jedného návodu na internete zmenil /etc/apt/sources.list, pretože som si chcel spraviť upgrade Debianu z lenny stable na squeeze unstable. Prepísal som teda v /etc/apt/sources.list všetko, čo bolo stable na unstable podľa spomínaného návodu a napísal som do terminálu apt-get dist-upgrade a nechal som to cez noc bežať. Ťahalo sa totiž cez 2 GB balíčkov. Po dokončení upgradu som reštartoval počítač a nemilé prekvapenie bolo, že gdm sa stále tvári, akokeby chcel zobraziť prihlasovaciu obrazovku, ale nezobrazí ju. Stále svieti fádne pozadie s kurzorom signalizujúcim aktivitu na pozadí uprostred. Skúsil som sa prepnúť do konzoly a odtiaľ sa mi nedá nič nainštalovať, nič opraviť. Zadám napr. apt-get install -f,závislosti sa nepodarí vyriešiť. Ukazuje, že nejaké závislosti xservera nie sú splnené a s apt-get si ani neprdnem. Nedá sa pracovať v grafickom rozhraní. Kde môže byť problém? Pls. help.

Ďakujem.
http://pavelka-andrej.rhcloud.com/
    • Re: xserver a gdm v Debiane po upgrade distribúcie nefunguje 27.11.2010 | 18:23
      WlaSaTy   Návštevník
      >Zadám napr. apt-get install -f,závislosti sa nepodarí vyriešiť.

      No, ja som obvykle postupoval pomocou prikazov:
      sudo apt-get update
      sudo apt-get dist-upgrade
      a potom som sa zariadil podla vysledku. Neviem ci apt uz bol kompletne nahradeny nastrojom aptitude, ale na tom nezide. No, ale bolo to blbuntu.
    • Re: xserver a gdm v Debiane po upgrade distribúcie nefunguje 28.11.2010 | 13:25
      Avatar Jaroslav Petráš Debian sid/experimental@amd64  Používateľ
      Závislosti sa dajú ručne-stručne poriešiť v aptitude. Resp. dajú sa aj cez apt-get, ale cez aptitude to zvládne aj menej skúsený užívateľ keďže je to pekne zobrazené v ncurses rozhraní.
      301 Keyboard Error <br/> Press any key to resume or F1 for setup...<br/> cyberasylum.eu